body {
    font-family: "Kanit", sans-serif;
    background: #000474;
}

.logoSocial img {
    width: 40px;
}

.footerLogo {
    width: 150px;
}

.cbpMainLayout {
    position: relative;
    width: 100%;
    /* max-width: 1000px; */
    min-height: 100dvh;

    background: url("https://img.gnjoy.in.th/2026/13/mainbg_02.png");
    background-position: top;
    background-size: cover;

    display: flex;
    align-items: center;
    justify-content: center;
}

.cbpContentMainLayout {
    position: relative;
    width: 100%;
    max-width: 1100px;
    min-height: 100dvh;
    padding: 50px 20px;
}

.cbpHeaderMainLayout {
    position: relative;
    width: 100%;
    min-height: 350px;
    padding: 20px;
    margin-bottom: 60px;

    display: flex;
    align-items: center;
    justify-content: center;
}

.cbpHeaderTitle {
    position: relative;
    z-index: 2;
    width: 800px;
    padding-left: 120px;
}

.cbpHeaderObject {
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;

    width: 450px;
}

/* REWARD  */
.rewardMainLayout {
    position: relative;
    width: 100%;
    min-height: 100dvh;
    display: flex;
    align-items: stretch;
    justify-content: space-between;
    gap: 10px;
    color: #fff;

    background: #fff;
    padding: 20px;
    border-radius: 20px;
    border: 8px solid #f3dbfb;
}

.cbpRewardHeader {
    position: absolute;
    z-index: 1;
    top: -80px;
    left: -8px;
    width: 101.6%;
}


.rewardNormalLayout {
    position: relative;
    z-index: 2;
    width: 100%;
    background: #ff9a05;
    /* border-radius: 30px 30px 0px 0px; */
    padding: 5px;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: 5px;
    border-radius: 30px;
}

.rewardPremiumLayout {
    position: relative;
    z-index: 2;
    width: 100%;
    background: #040e87;
    /* border-radius: 30px 30px 0px 0px; */
    border-radius: 30px;

    padding: 5px;
    display: flex;
    align-items: stretch;
    flex-direction: column;
    gap: 5px;
}

.rewardItemLayout {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.rewardItemTitle {
    width: 100%;
    height: 70px;
    padding: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 35px;
    line-height: 30px;
    font-weight: 800;
    text-align: center;
    letter-spacing: 1px;
}

.rewardItemTitle.normal {
    text-shadow: 2px 2px 3px #e46e00;
    color: #fff;
}

.rewardItemTitle.premium {
    text-shadow: 2px 2px 3px #000329;
    color: #ffb605;
}

.rewardItemContentMainLayout {
    width: 100%;
    min-height: 120px;


    display: flex;
    align-items: stretch;
    gap: 5px;
}

.rewardItemContentMainLayout.higher {
    height: 475px;
    min-height: 475px;
}

.rewardItemContentMainLayout.high {
    height: 130px;
    min-height: 130px;
}

.rewardItemContentMainLayout.last {
    border-radius: 0px 0px 30px 30px;
    overflow: hidden;
}

.rewardItemNoLayout {
    width: 80px;
    min-width: 80px;
    height: 100%;
    padding: 10px;

    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 600;
    font-size: 16px;

}

.rewardItemNoLayout.normal {
    background: #ffeed3;
    color: #ff9a05;
}

.rewardItemNoLayout.premium {
    background: #cdcfe7;
    color: #040e87;
}

.rewardItemContent {
    width: 100%;
    min-height: 80px;
    padding: 10px;

    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 10px;

    background: #fff;
    color: #000;
}



.rewardItem {
    width: 100%;
    min-height: 80px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    gap: 10px;
}

.rewardItem.vertical {
    width: 110px;
    min-width: 110px;
    min-height: 80px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.rewardItem span {
    font-size: 12px;
    line-height: 15px;
    font-weight: 500;
}

.rewardItem.vertical span {
    /* min-height: 40px; */
    height: fit-content;
}

.rewardItemImg {
    width: 40px;
    min-width: 40px;
}

.reward_noteLayout {
    width: 100%;
    height: 35px;
    padding: 5px;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff200;
    font-size: 16px;
}

.rewardSpace {
    width: 100%;
    height: 177px;
}

/* เอฟเฟกต์ขยับ */
.glow-move {
    display: inline-block;
    animation:
        floatMove 4s infinite ease-in-out;
}

@keyframes floatMove {
    0% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-10px);
    }

    100% {
        transform: translateY(0);
    }
}

.glow-effect2 {
    display: inline-block;
    animation: glowPulse2 3s infinite alternate ease-in-out;
}

@keyframes glowPulse2 {
    from {
        filter: drop-shadow(0 0 5px #ffffff);
    }

    to {
        filter: drop-shadow(0 0 20px #1d51ff);
    }
}

@media (max-width: 1035px) {
    .rewardItemContentMainLayout.higher {
        height: 675px;
        min-height: 475px;
    }
}

@media (max-width: 978px) {
    .rewardItemContentMainLayout.higher {
        height: 665px;
    }

    .rewardItemNoLayout {
        width: 50px;
        min-width: 50px;
    }

    .cbpContentMainLayout {
        padding: 50px 10px;
    }
}

@media (max-width: 870px) {

    .cbpRewardHeader {
        position: absolute;
        z-index: 1;
        top: -80px;
        left: -8px;
        width: 101.9%;
    }
}


/* ≤ 768px (md และต่ำกว่า) */
@media (max-width: 767.98px) {
    .navbar-ggt {
        height: 50px;
    }

    .rewardItemTitle {
        font-size: 35px;
        line-height: 30px;
    }

    .rewardItem {
        flex-direction: column;
    }

    .rewardItemContentMainLayout {
        flex-direction: column;
    }

    .rewardItemNoLayout {
        width: 100%;
        min-width: 100%;
        height: 40px;
        font-weight: 600;
        font-size: 16px;
    }

    .rewardItemContent {
        height: 100%;
        min-height: 120px;
    }

    .rewardItemContentMainLayout.higher {
        height: 705px;
        /* min-height: 475px; */
    }

    .rewardItemContentMainLayout.high {
        height: 270px;
        min-height: 270px;
    }

    .rewardSpace {
        width: 100%;
        height: 465px;
    }

    .cbpHeaderObject {
        width: 350px;
    }

    .cbpHeaderTitle {
        padding-left: 0px;
    }

    .cbpHeaderMainLayout {
        min-height: 300px;
    }

    .cbpRewardHeader {
        display: none;
    }

    .footer .footer-copyright {
        text-align: center;
    }
}

/* ≤ 576px (sm และต่ำกว่า — mobile เล็กสุด) */
@media (max-width: 575.98px) {
    .rewardItemTitle {
        font-size: 20px;
        line-height: 20px;
    }

    .cbpHeaderObject {
        display: none;
    }

    .cbpHeaderMainLayout {
        min-height: fit-content;
    }

    .cbpHeaderMainLayout {
        margin-bottom: 0px;
    }

    .rewardMainLayout {
        padding: 0px;
        background: transparent;
        border: 0px solid transparent;
    }
}

@media (max-width: 549px) {
    .rewardItemContentMainLayout.higher {
        height: 1450px;
    }

    .rewardItemContentMainLayout.high {
        height: 360px;
        min-height: 360px;
    }
}